<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentBookingResponse StructType
 * @subpackage Structs
 */
class PaymentBookingResponse extends AbstractStructBase
{
    /**
     * The PaymentRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PaymentRS
     */
    public $PaymentRS;
    /**
     * Constructor method for PaymentBookingResponse
     * @uses PaymentBookingResponse::setPaymentRS()
     * @param \StructType\JP_PaymentRS $paymentRS
     */
    public function __construct(\StructType\JP_PaymentRS $paymentRS = null)
    {
        $this
            ->setPaymentRS($paymentRS);
    }
    /**
     * Get PaymentRS value
     * @return \StructType\JP_PaymentRS|null
     */
    public function getPaymentRS()
    {
        return $this->PaymentRS;
    }
    /**
     * Set PaymentRS value
     * @param \StructType\JP_PaymentRS $paymentRS
     * @return \StructType\PaymentBookingResponse
     */
    public function setPaymentRS(\StructType\JP_PaymentRS $paymentRS = null)
    {
        $this->PaymentRS = $paymentRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PaymentBookingResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
